japa.parser.ast.expr

## Class UnaryExpr

- java.lang.Object
- - japa.parser.ast.Node
  - - japa.parser.ast.expr.Expression
    - - japa.parser.ast.expr.UnaryExpr

    public final class UnaryExpr
    extends Expression

Author:
  Julio Vilmar Gesser

### Nested Class Summary

Nested Classes
`static class` `UnaryExpr.Operator`

### Field Summary

### Fields inherited from class japa.parser.ast.Node

`ABSOLUTE_BEGIN_LINE, ABSOLUTE_END_LINE`

### Constructor Summary

Constructors
Constructor and Description
`UnaryExpr()`
`UnaryExpr(Expression expr, UnaryExpr.Operator op)`
`UnaryExpr(int beginLine, int beginColumn, int endLine, int endColumn, Expression expr, UnaryExpr.Operator op)`

### Method Summary

All Methods Instance Methods Concrete Methods
`<R,A> R` `accept(GenericVisitor<R,A> v, A arg)` Accept method for visitor support.
`<A> void` `accept(VoidVisitor<A> v, A arg)` Accept method for visitor support.
`Expression` `getExpr()`
`UnaryExpr.Operator` `getOperator()`
`void` `setExpr(Expression expr)`
`void` `setOperator(UnaryExpr.Operator op)`

### Methods inherited from class japa.parser.ast.Node

`addOrphanComment, contains, equals, getAllContainedComments, getBeginColumn, getBeginLine, getChildrenNodes, getComment, getData, getEndColumn, getEndLine, getOrphanComments, getParentNode, hashCode, isPositionedAfter, isPositionedBefore, setAsParentNodeOf, setAsParentNodeOf, setBeginColumn, setBeginLine, setComment, setData, setEndColumn, setEndLine, setParentNode, toString`

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### UnaryExpr

    public UnaryExpr()

#### UnaryExpr

    public UnaryExpr(Expression expr,
                     UnaryExpr.Operator op)

#### UnaryExpr

    public UnaryExpr(int beginLine,
                     int beginColumn,
                     int endLine,
                     int endColumn,
                     Expression expr,
                     UnaryExpr.Operator op)

### Method Detail

#### accept

    public <R,A> R accept(GenericVisitor<R,A> v,
                          A arg)

Description copied from class: `Node`
Accept method for visitor support.

Specified by:
  `accept` in class `Node`
Type Parameters:
  `R` - the type the return value of the visitor
  `A` - the type the argument passed to the visitor
Parameters:
  `v` - the visitor implementation
  `arg` - the argument passed to the visitor
Returns:
  the result of the visit

#### accept

    public <A> void accept(VoidVisitor<A> v,
                           A arg)

Description copied from class: `Node`
Accept method for visitor support.

Specified by:
  `accept` in class `Node`
Type Parameters:
  `A` - the type the argument passed for the visitor
Parameters:
  `v` - the visitor implementation
  `arg` - any value relevant for the visitor

#### getExpr

    public Expression getExpr()

#### getOperator

    public UnaryExpr.Operator getOperator()

#### setExpr

    public void setExpr(Expression expr)

#### setOperator

    public void setOperator(UnaryExpr.Operator op)